View Issue Details

IDProjectCategoryView StatusLast Update
0001383Ham Radio DeluxeBugpublic2017-06-19 20:06
ReporterSupport 
Assigned ToW4PC 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformNoneOSEmptyOS Version
Product Version 
Target VersionFixed in Version6.2.7 
Summary0001383: FT-897D Bugs
Description1) During Mode change, CW button does not always change color indicating that CW
is engaged
2) Does not always show the CW letters above the display. OK on USB, LSB and
other modes.
3) Features ATT, IPO and NAR for Narrow/Wide do not work when the buttons are
clicked.
4) There is no VFO B display. Although the FT-817ND VFO B display is visible.
Both radios use the same basic coding inside them. It should be an easy fix to
copy the VFO B Routine in HRD from the FT-817 coding to the FT-897 coding.
5) When A>B is clicked, B is copied to A. That is backwards
6) When A=B is clicked, B is copied to A . That is also backwards.

These are problems left over from Simon.
Additional InformationReported by K3ZXL
TagsNo tags attached.
ModuleRig Control
Sub-Module(select)
Testing

Relationships

Activities

WA9PIE

2014-04-20 14:57

administrator   ~0000408

From: Dan Schaaf [mailto:dan-schaaf@att.net]
Sent: Sunday, April 20, 2014 11:21 AM
To: Michael
Subject: New rev bug

Happy Easter Mike.
 
After the holiday is finished, would you please consider to look at the Rig Control for FT-817ND.

I just installed the latest rev or version from the HRD website and trying to use 3 of the buttons causes lockup of the radio. Cannot even power down the radio by closing HRD or using the radio ON/OFF button. I then have to open the radio, disconnect the battery, and disconnect external power cord to shut down. I also have to disconnect the USB serial adapter ( RT Systems CT-62B ).
 
These buttons functioned OK prior to install of latest rev. By OK , I mean that they did not lock up the radio.
 
The 3 buttons are:

A<>B
A>B
A=B
 
Also, in DM780, I set the TX/RX Lock to make simplex on all modes that I operate ( CW, RTTY, PSK ) but when I shut down and restart later, the DM780 does not remember that these modes were set locked to simplex. So, I have to take the time to set the lock again.
 
Finally, DM780 modes are not locked or synced with Rig Control. So, if Rig Control has CW mode selected, DM780 still has last mode used selected. I think I mentioned this some months ago and thought that it would be addressed in the next rev.
 
Best Regards
Dan Schaaf

=================================
K3ZXL www.k3zxl.com
=================================
NOBSKA www.nobska.net
Cape Cod Instruments www.gnm-inc.com
Tel: 941-766-0706
Fax: 941-766-0707
=================================

W4PC

2014-05-04 20:35

updater   ~0000422

fixed as best we could with the shitting FT-8x7 kludge

WA9PIE

2014-08-18 15:04

administrator   ~0000477

Cleaning up closed items already marked "Resolved".

Mike, WA9PIE

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Status new => assigned
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:33 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2014-02-02 13:21 WA9PIE Release => (select)
2014-02-02 13:21 WA9PIE Module => (select)
2014-02-02 13:21 WA9PIE Sub-Module => (select)
2014-02-02 13:21 WA9PIE Report Build => (select)
2014-02-02 13:21 WA9PIE Assigned To Support =>
2014-02-02 13:21 WA9PIE Status assigned => acknowledged
2014-02-02 13:21 WA9PIE Summary FT-897D Bugs => Bugs: FT-897D Bugs
2014-02-02 13:21 WA9PIE Description Updated View Revisions
2014-02-02 16:40 WA9PIE View Status private => public
2014-04-20 14:57 WA9PIE Note Added: 0000408
2014-05-04 20:35 W4PC Release (select) => 6.2
2014-05-04 20:35 W4PC Fix Build => xxxx
2014-05-04 20:35 W4PC Note Added: 0000422
2014-05-04 20:35 W4PC Status acknowledged => resolved
2014-05-04 20:35 W4PC Resolution open => fixed
2014-05-04 20:35 W4PC Assigned To => W4PC
2014-08-12 12:25 WA9PIE Project @5@ => Ham Radio Deluxe
2014-08-12 12:25 WA9PIE Category Rig Control => General
2014-08-18 15:04 WA9PIE Note Added: 0000477
2014-08-18 15:04 WA9PIE Status resolved => closed
2015-09-30 13:05 WA9PIE Fix Build xxxx => (select)
2015-09-30 13:05 WA9PIE Proposed Release => TBD
2015-09-30 13:05 WA9PIE Summary Bugs: FT-897D Bugs => FT-897D Bugs
2015-09-30 13:18 WA9PIE Module (select) => Rig Control
2015-09-30 13:33 WA9PIE Category General => Bug
2017-06-19 20:06 WA9PIE Fixed in Version => 6.2.7